Bug 1183632 (CVE-2013-6892) - CVE-2013-6892 websvn: arbitrary file access when downloads enabled for users with commit access
Summary: CVE-2013-6892 websvn: arbitrary file access when downloads enabled for users ...
Status: CLOSED UPSTREAM
Alias: CVE-2013-6892
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150118,repor...
Keywords: Security
Depends On: 1183633 1183635
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 11:07 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:22 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:38:07 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-19 11:07:43 UTC
It was reported [1] that arbitrary files with a known path can be accessed in websvn by committing a symlink to a repository and then downloading the file (using the download link).
Proposed patch is at the link below too.

[1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=775682

Comment 1 Vasyl Kaigorodov 2015-01-19 11:08:03 UTC
Created websvn tracking bugs for this issue:

Affects: fedora-all [bug 1183633]
Affects: epel-all [bug 1183635]

Comment 2 Fedora Update System 2015-02-08 08:57:36 UTC
websvn-2.3.3-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-08 08:59:38 UTC
websvn-2.3.3-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-02-19 11:09:57 UTC
websvn-2.3.3-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-19 11:10:49 UTC
websvn-2.3.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:38:07 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.